Missing plugins to load Artifact to run cut adapt

Im running cutadapt, or trying and I stumped into this error:

Traceback (most recent call last):
File "/Users/pdv/miniconda3/envs/qiime2/lib/python3.8/site-packages/q2cli/util.py", line 492, in _load_input_file
artifact = qiime2.sdk.Result.load(fp)
File "/Users/pdv/miniconda3/envs/qiime2/lib/python3.8/site-packages/qiime2/sdk/result.py", line 74, in load
cache = get_cache()
File "/Users/pdv/miniconda3/envs/qiime2/lib/python3.8/site-packages/qiime2/core/cache.py", line 113, in get_cache
_CACHE.temp_cache = Cache()
File "/Users/pdv/miniconda3/envs/qiime2/lib/python3.8/site-packages/qiime2/core/cache.py", line 379, in new
path = _get_temp_path()
File "/Users/pdv/miniconda3/envs/qiime2/lib/python3.8/site-packages/qiime2/core/cache.py", line 158, in _get_temp_path
raise ValueError(f"Directory '{cache_dir}' already exists without "
ValueError: Directory '/Volumes/Expansion/tmp/qiime2' already exists without proper permissions '0o41777' set. Current permissions are '0o40700.' This most likely means something other than QIIME 2 created the directory '/Volumes/Expansion/tmp/qiime2' or QIIME 2 failed between creating '/Volumes/Expansion/tmp/qiime2' and setting permissions on it.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/Users/pdv/miniconda3/envs/qiime2/lib/python3.8/site-packages/q2cli/click/type.py", line 116, in _convert_input
result, error = q2cli.util._load_input(value)
File "/Users/pdv/miniconda3/envs/qiime2/lib/python3.8/site-packages/q2cli/util.py", line 397, in _load_input
artifact, error = _load_input_file(fp)
File "/Users/pdv/miniconda3/envs/qiime2/lib/python3.8/site-packages/q2cli/util.py", line 498, in _load_input_file
raise ValueError(
ValueError: It looks like you have an Artifact but are missing the plugin(s) necessary to load it. Artifact has type 'SampleData[PairedEndSequencesWithQuality]' and format 'SingleLanePerSamplePairedEndFastqDirFmt'

There was a problem loading '../data/processed_data/paired-end-demux.qza' as an artifact:

It looks like you have an Artifact but are missing the plugin(s) necessary to load it. Artifact has type 'SampleData[PairedEndSequencesWithQuality]' and format 'SingleLanePerSamplePairedEndFastqDirFmt'

See above for debug info.

Im running the whole pipeline in a 2Tb hard drive so memory is not an issue

Hello @pdv13,

Try rm -rf /Volumes/Expansion/tmp/qiime2 and rerunning. Only do this if you're okay with losing everything in that folder (which will be fine unless you manually put stuff you care about there).

1 Like